summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Lenard Spencer2022-09-03 05:46:26 +0200
committer Willy Sudiarto Raharjo2022-09-03 12:58:47 +0200
commit8ffcb5b99935ca1c2c66caa8881e12142ea61b02 (patch)
treebb40585f201540c51a5244a07a4531248e4d4d78 /development
parent636b121c89541c8e6b6e3b07cc659a376e70d885 (diff)
downloadslackbuilds-8ffcb5b99935ca1c2c66caa8881e12142ea61b02.tar.gz
development/openjdk7: Update to use internal apache-ant
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/openjdk7/README26
-rw-r--r--development/openjdk7/openjdk7.SlackBuild14
-rw-r--r--development/openjdk7/openjdk7.info8
3 files changed, 29 insertions, 19 deletions
diff --git a/development/openjdk7/README b/development/openjdk7/README
index c2ed4940d3..cd6b29a03b 100644
--- a/development/openjdk7/README
+++ b/development/openjdk7/README
@@ -2,9 +2,7 @@ OpenJDK 7 is an open source implementation of version 7 of the
Java Development Kit, Standard Edition. It includes tools for
developing, testing, and running programs written in Java.
-This build requires both apache-ant and gcc5. You do NOT need to
-install Oracle's jdk, as apache-ant will work just fine with the jvm
-tools in gcc5.
+This build requires gcc5.
Before installing this package please consider any other jdk's/jre's
that you have already installed as they may cause conflicts with the
@@ -14,18 +12,24 @@ After installing the package you will need to logout/login to your
machine as it will add new files to the /etc/profile.d folder.
This script may take a couple of hours to complete and will require
-about 9 GB of disk space for its temporary directory. It defaults to
+about 11 GB of disk space for its temporary directory. It defaults to
"/tmp/SBo" and you may redefine it like this:
TMP=/your/temporary/dir ./openjdk7.SlackBuild
-The 'cacerts' binary is a keystore containing CA certificates which
+The 'cacerts' binary is a TrustStore containing CA certificates which
are used by Java applications. It is taken from the CentOS package
'ca-certificates-2015.2.4-65.0.1.el6_6.noarch.rpm'.
-NOTE: 32-bit builds are broken ATM but we are still working on it.
-If you would like to help, the problem is when linking the launcher
-the build system insists on trying to link with /usr/lib/libstd++.so.6
-(which belongs to gcc11), instead of the one in
-/usr/lib/gcc/i586-slackware-linux/5.5.0, erroring out with message
-"undefined reference to `__divmoddi4@GCC_7.0.0".
+NOTES
+1. The apache-ant in SBo (1.10.x) is incompatible with openjdk7,
+so the script now uses the previous version (1.9.x) to build.
+
+2. Currently this will only build on 64-bit. On 32-bit, it need to
+link with the libstdc++ in gcc5 but tries to link with the default
+/usr/lib/libstc++ and errors out with the message:
+
+/usr/bin/ld: /usr/lib/libstdc++.so.6: \
+ undefined reference to `__divmoddi4@GCC_7.0.0'
+
+Any help with this issue would be GREATLY appreciated.
diff --git a/development/openjdk7/openjdk7.SlackBuild b/development/openjdk7/openjdk7.SlackBuild
index 1882d91d17..202502482c 100644
--- a/development/openjdk7/openjdk7.SlackBuild
+++ b/development/openjdk7/openjdk7.SlackBuild
@@ -24,14 +24,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
cd $(dirname $0) ; CWD=$(pwd)
-
PRGNAM=openjdk7
VERSION=${VERSION:-7u321}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
DVER=1.7.0_$(printf $VERSION | cut -du -f2)
-ICEDTEA=icedtea-2.6.28
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -52,6 +50,11 @@ SBO_PATCH_DIR="${BUILD_DIR}/jdk-archive-patch"
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+. $CWD/$PRGNAM.info || exit 1
+ICEDTEA=`echo $DOWNLOAD | awk '{print $1}' | awk -F / '{print $NF}'`
+ANT=`echo $DOWNLOAD | awk '{print $9}' | awk -F / '{print $NF}'`
+ANT_HOME=$BUILD_DIR/${ANT%-bin*} # this overrides the "official" ANT_HOME
+
if [ "$ARCH" = "x86_64" ]; then
LIB_ARCH=amd64
LIBDIRSUFFIX="64"
@@ -114,13 +117,14 @@ mkdir -p $TMP $BUILD_DIR $PKG $OUTPUT
cd $BUILD_DIR
-tar -xvf $CWD/${ICEDTEA}.tar.xz
+tar -xvf $CWD/${ANT}
+tar -xvf $CWD/${ICEDTEA}
mkdir icedtea-build
cd icedtea-build
# Set JAVA_HOME in order to avoid conflicts with other already installed JVMs.
-JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH ../$ICEDTEA/configure \
+JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$ANT_HOME/bin:$PATH ../${ICEDTEA%.tar*}/configure \
--disable-docs \
--disable-downloading \
--with-jdk-home=${BOOT_JAVA} \
diff --git a/development/openjdk7/openjdk7.info b/development/openjdk7/openjdk7.info
index 1f40953777..1b5049b35b 100644
--- a/development/openjdk7/openjdk7.info
+++ b/development/openjdk7/openjdk7.info
@@ -8,7 +8,8 @@ DOWNLOAD="https://icedtea.classpath.org/download/source/icedtea-2.6.28.tar.xz \
https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/jaxws.tar.bz2 \
https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/jdk.tar.bz2 \
https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/langtools.tar.bz2 \
- https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/hotspot.tar.bz2"
+ https://icedtea.classpath.org/download/drops/icedtea7/2.6.28/hotspot.tar.bz2 \
+ https://archive.apache.org/dist/ant/binaries/apache-ant-1.9.16-bin.tar.bz2"
MD5SUM="11663b88a06f3461607c026510dd733a \
bcd48aa756a108cb437f07ed291436f9 \
5c16e53e461cf640842cec44f9a6264a \
@@ -16,9 +17,10 @@ MD5SUM="11663b88a06f3461607c026510dd733a \
01120ce5103a1f1f8b79ad4f8ae1511d \
c4332b8442e438ac498f206c8851f68c \
ebbc311a2aa8afdf1dd4e3d2b7f55aba \
- c168159cc98db90a5d14b077e2c49ae9"
+ c168159cc98db90a5d14b077e2c49ae9 \
+ 2a1ef0230e673b6da876a8fc9744b9a1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="apache-ant gcc5"
+REQUIRES="gcc5"
MAINTAINER="Lenard Spencer"
EMAIL="lenardrspencer@gmail.com"